Users
Returns all the users of the organization. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/users HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "text",
"first_name": "text",
"last_name": "text",
"username_for_display": "text",
"email": "text",
"contact": {
"dial_code": "text",
"phone_number": "text"
},
"secondary_emails": [
"text"
],
"email_verified": true,
"time_zone": "text",
"title": "text",
"bio": "text",
"notification_rules": [
{
"type": "text",
"time": 1
}
],
"user_image": true,
"role_id": "text",
"role": "text"
}
]
}Add user to the organization with given role if not exists. Returns the user object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
The request has succeeded and a new resource has been created as a result.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/users HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 78
{
"email": "text",
"role": "account_owner",
"first_name": "text",
"last_name": "text"
}{
"data": {
"id": "text",
"first_name": "text",
"last_name": "text",
"username_for_display": "text",
"email": "text",
"contact": {
"dial_code": "text",
"phone_number": "text"
},
"secondary_emails": [
"text"
],
"email_verified": true,
"time_zone": "text",
"title": "text",
"bio": "text",
"notification_rules": [
{
"type": "text",
"time": 1
}
],
"user_image": true,
"role_id": "text",
"role": "text"
}
}The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/users/abilities HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"data": [
{
"user_id": "text",
"abilities": [
"manage-api-tokens"
]
}
]
}{
"data": "text"
}This API replaces the swap_user for all the entities in Squadcast with user_id provided and deletes the user.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/users/delete-user HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92
{
"user_id": "text",
"swap_user_id": "text",
"suppress_incidents": true,
"reassign_incidents": true
}{
"data": {}
}Returns all available user roles. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/users/roles HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "text",
"name": "text",
"limit": 1,
"order": 1
}
]
}Returns a users details of the given userID in the request param. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
(Required) user id
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/users/{userID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": "text",
"first_name": "text",
"last_name": "text",
"username_for_display": "text",
"email": "text",
"contact": {
"dial_code": "text",
"phone_number": "text"
},
"secondary_emails": [
"text"
],
"email_verified": true,
"time_zone": "text",
"title": "text",
"bio": "text",
"notification_rules": [
{
"type": "text",
"time": 1
}
],
"user_image": true,
"role_id": "text",
"role": "text"
}
}Update User by userID. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
(Required) user id
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/users/{userID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"role": "account_owner"
}{
"data": {
"id": "text",
"first_name": "text",
"last_name": "text",
"username_for_display": "text",
"email": "text",
"contact": {
"dial_code": "text",
"phone_number": "text"
},
"secondary_emails": [
"text"
],
"email_verified": true,
"time_zone": "text",
"title": "text",
"bio": "text",
"notification_rules": [
{
"type": "text",
"time": 1
}
],
"user_image": true,
"role_id": "text",
"role": "text"
}
}Remove user from organization. Upon sccess the user will be removed from the organization. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
(Required) user id
There is no content to send for this request, but the headers may be useful.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v3/users/{userID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}Last updated